import django

from pgtrigger.core import (
    After,
    Before,
    Condition,
    constraints,
    Deferred,
    Delete,
    disable,
    enable,
    F,
    FSM,
    get,
    ignore,
    Immediate,
    Insert,
    install,
    InsteadOf,
    IsDistinctFrom,
    IsNotDistinctFrom,
    Level,
    Operation,
    Operations,
    Protect,
    prune,
    Q,
    Referencing,
    register,
    Row,
    SoftDelete,
    Statement,
    Timing,
    Trigger,
    Truncate,
    uninstall,
    Update,
    UpdateOf,
    UpdateSearchVector,
    When,
)
from pgtrigger.version import __version__

if django.VERSION < (3, 2):
    default_app_config = 'pgtrigger.apps.PGTriggerConfig'

del django


__all__ = [
    'After',
    'Before',
    'Condition',
    'constraints',
    'Deferred',
    'Delete',
    'disable',
    'enable',
    'F',
    'FSM',
    'get',
    'ignore',
    'Immediate',
    'Insert',
    'install',
    'InsteadOf',
    'IsDistinctFrom',
    'IsNotDistinctFrom',
    'Level',
    'Operation',
    'Operations',
    'Protect',
    'prune',
    'Q',
    'Referencing',
    'register',
    'Row',
    'SoftDelete',
    'Statement',
    'Timing',
    'Trigger',
    'Truncate',
    'uninstall',
    'Update',
    'UpdateOf',
    'UpdateSearchVector',
    'When',
    '__version__',
]
